<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCustomersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('customers', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('first_name', 64);
			$table->string('last_name', 64);
			$table->string('email', 64);
			$table->string('phone', 15);
			$table->string('phone2', 15)->nullable();
			$table->string('mobile', 15);
			$table->string('address', 128);
			$table->string('address2', 128)->nullable();
			$table->string('town', 128);
			$table->string('county', 128);
			$table->string('postcode', 12);
			$table->text('blind_notes')->nullable();
			$table->unsignedBigInteger('client_id');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('customers');
	}

}
